{% extends 'base.html' %}


{% block content %}
    <script src="/static/colorfield/jscolor/jscolor.js"></script>
    <h2>Edit person {{ form.nickname.value }}</h2>

    <form method="POST">
        {%  csrf_token %}

        <table>

            {% for field in form %}
            <tr>

                <td><p>{{ field.label }}:</p> </td>
                <td><p>{{ field }}</p></td>
            </tr>
            <tr>
                {% if field.label == "Picture" and field %}
                    <td></td>
                    <td><img src="{{ picture_url }}"></td>
                {% endif %}
            </tr>
            {% endfor %}
            <tr>
                <td><input type="submit" value="Confirm" class="btn btn-secondary"></td>
                <td>
                {% if can_delete %}
                    <a href="{% url 'gift:person_delete' pk %}">
                    Delete person
                    </a>
                {% endif %}
                </td>
            </tr>
        </table>
    </form>

{% endblock %}